[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.Create

Creates a new collection.

## Declaration

Source position: classesh.inc line 549

`public constructor TCollection.Create(`
`AItemClass: TCollectionItemClass`
`);`

## Description

Create instantiates a new instance of the TCollection class which will manage objects of class AItemClass. It creates the list used to hold all objects, and stores the AItemClass for the adding of new objects to the collection.

## See also

TCollection.ItemClass |  | Class pointer for each item in the collection.
TCollection.Destroy |  | Destroys the collection and frees all the objects it manages.